package com.gic.enterprise.constant;

import org.apache.commons.lang3.StringUtils;

/**
 * @author zhiwj
 * @Description: 短信消费应用场景
 * @date 2020-03-30 13:42
 */
public enum SmsAppEnum {

    MEMBER_OPEN_CARD("MEMBER_OPEN_CARD", "会员开卡"),
    GIC_MALL("GIC_MALL", "微商城"),
    GIC_INTEGRAL("GIC_INTEGRAL", "积分商城"),
    SMS("sms", "短信营销"),
    ECM("ecm", "触点营销"),
    ECM_TIMER("ecm-timer", "定时营销"),
    GAME_DZP("dzp", "大转盘"),
    GAME_GGK("ggk", "刮刮卡"),
    GAME_KLFL("klfl", "口令福利"),
    GAME_PTYX("ptyx", "拼图游戏"),
    OTHER("other", "其他"),
    ;

    private String code;
    private String name;

    SmsAppEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getNameByCode(String code) {
        if (StringUtils.isNotBlank(code)) {
            for (SmsAppEnum smsApp : values()) {
                if (smsApp.code.equals(code)) {
                    return smsApp.name;
                }
            }
        }
        return null;
    }
}
